> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orderprotection.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Orders



## OpenAPI

````yaml get /v1/orders
openapi: 3.0.0
info:
  title: Orders Service
  description: Orders service API
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.production.orderprotection.com
    description: Production server
security: []
tags:
  - name: orders
    description: ''
paths:
  /v1/orders:
    get:
      tags:
        - Orders
      summary: List Orders
      operationId: OrdersApiController_findAll
      parameters:
        - name: size
          required: false
          in: query
          example: '5'
          description: Number of records
          schema:
            type: number
        - name: cursor
          required: false
          in: query
          example: c2FsdHlzYWx0Y2xwcjA0YzgzMDAxazF6YmgxMzAxMWY3Zg==
          description: Record cursor
          schema:
            type: string
        - name: buttonNum
          required: false
          in: query
          example: '5'
          description: Number of pages on page cursors
          schema:
            type: number
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginatedDto'
                  - properties:
                      edges:
                        type: array
                        items:
                          $ref: '#/components/schemas/PaginatedResult'
                          properties:
                            node:
                              $ref: '#/components/schemas/Order'
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedExceptionResponse'
      security:
        - bearer: []
components:
  schemas:
    PaginatedDto:
      type: object
      properties:
        pageInfo:
          type: object
          example:
            startCursor: ''
            endCursor: ''
            hasNextPage: false
            hasPreviousPage: false
        pageCursors:
          type: object
          example:
            around:
              - cursor: YXJyYXljb25uZWN0aW9uOjA=
                page: 1
                isCurrent: true
        totalCount:
          type: number
          example: 5
      required:
        - pageInfo
        - pageCursors
        - totalCount
    PaginatedResult:
      type: object
      properties:
        cursor:
          type: string
          example: YXJyYXljb25uZWN0aW9uOjA=
      required:
        - cursor
    UnauthorizedExceptionResponse:
      type: object
      properties:
        message:
          type: string
          readOnly: true
          example: Unauthorized
        statusCode:
          type: number
          readOnly: true
          example: 401
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````